Pretest Build Reports - Build 6175 details

For more information see http://pretest.nongnu.org.

← back to list

Project: coreutils-8.30.87-66e2d
Source: http://agnx.s3.amazonaws.com/tmp/coreutils-8.30.87-66e2d.tar.xz
System: Oracle SunOS 5.11 (sun4u)
Status:
make-check failed
Download logs (what's inside?) coreutils-8.30.87-66e2d.pretest-build-report.build-6175.tar.bz2
Failed tests from tests-suite-summary.log:
=========================================================
GNU coreutils 8.30.87-66e2d: ./tests/test-suite.log
=========================================================

# TOTAL: 616
# PASS:  450
# SKIP:  163
# XFAIL: 0
# FAIL:  3
# XPASS: 0
# ERROR: 0

FAIL: tests/misc/wc-nbsp
========================

++ initial_cwd_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d gt-wc-nbsp.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+++ template_=gt-wc-nbsp.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs
++++ ls -dgo /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs
+++ perms='drwx------ 2 2 Mar  7 12:59 /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs
+++ return
++ test_dir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs
++ cd /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src:/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/src:/usr/xpg4/bin:/usr/gnu/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ wc printf
+ require_built_ wc printf
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env wc --version
wc (GNU coreutils) 8.30.87-66e2d
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin and David MacKenzie.
+ for i in '$*'
+ env printf --version
printf (GNU coreutils) 8.30.87-66e2d
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ export LC_ALL=en_US.ISO-8859-1
+ LC_ALL=en_US.ISO-8859-1
./tests/misc/wc-nbsp.sh: line 25: warning: setlocale: LC_ALL: cannot change locale (en_US.ISO-8859-1)
++ locale charmap
+ test 646 = ISO-8859-1
+ export LC_ALL=en_US.UTF-8
+ LC_ALL=en_US.UTF-8
++ locale charmap
+ test UTF-8 = UTF-8
++ env printf '=\u00A0='
++ wc -L
+ test 3 = 3
++ env printf '=\u00A0='
++ wc -w
+ test 2 = 2
++ env printf '=\u2007='
++ wc -w
+ test 2 = 2
++ env printf '=\u202F='
++ wc -w
+ test 2 = 2
++ env printf '=\u2060='
++ wc -w
+ test 1 = 2
+ fail=1
+ export LC_ALL=ru_RU.KOI8-R
+ LC_ALL=ru_RU.KOI8-R
./tests/misc/wc-nbsp.sh: line 43: warning: setlocale: LC_ALL: cannot change locale (ru_RU.KOI8-R)
++ locale charmap
+ test 646 = KOI8-R
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+ chmod -R u+rwx /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs
+ rm -rf /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-wc-nbsp.sh.tyhs
+ exit 1
FAIL tests/misc/wc-nbsp.sh (exit status: 1)

FAIL: tests/misc/test-N
=======================

++ initial_cwd_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d gt-test-N.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+++ template_=gt-test-N.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu
++++ ls -dgo /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu
+++ perms='drwx------ 2 2 Mar  7 13:03 /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu
+++ return
++ test_dir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu
++ cd /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src:/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/src:/usr/xpg4/bin:/usr/gnu/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ test stat
+ require_built_ test stat
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env test --version
+ for i in '$*'
+ env stat --version
stat (GNU coreutils) 8.30.87-66e2d
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Michael Meskes.
+ touch file
+ stat_test_N file
++ stat_mtime file
++ env stat -c %Y file
++ stat_atime file
++ env stat -c %X file
+ env test 1551960232 -gt 1551960232
+ returns_ 1 env test -N file
+ fail=1
+ touch -a -d '12:00 today -2 days' file
+ stat_test_N file
++ stat_mtime file
++ env stat -c %Y file
++ stat_atime file
++ env stat -c %X file
+ env test 1551960232 -gt 1551783600
+ env test -N file
+ touch -m -d '12:00 today -4 days' file
+ stat_test_N file
++ stat_mtime file
++ env stat -c %Y file
++ stat_atime file
++ env stat -c %X file
+ env test 1551610800 -gt 1551783600
+ returns_ 1 env test -N file
+ echo data
+ stat_test_N file
++ stat_mtime file
++ env stat -c %Y file
++ stat_atime file
++ env stat -c %X file
+ env test 1551960232 -gt 1551783600
+ env test -N file
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+ chmod -R u+rwx /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu
+ rm -rf /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-test-N.sh.ZgZu
+ exit 1
FAIL tests/misc/test-N.sh (exit status: 1)

FAIL: tests/tail-2/pipe-f
=========================

++ initial_cwd_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d gt-pipe-f.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+++ template_=gt-pipe-f.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC
++++ ls -dgo /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC
+++ perms='drwx------ 2 2 Mar  7 13:07 /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC
+++ return
++ test_dir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC
++ cd /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src:/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/src:/usr/xpg4/bin:/usr/gnu/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ tail test
+ require_built_ tail test
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env tail --version
tail (GNU coreutils) 8.30.87-66e2d
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ for i in '$*'
+ env test --version
+ trap_sigpipe_or_skip_
+ grep -qF 'Broken pipe'
+ fastpoll='-s.1 --max-unchanged-stats=1'
+ for mode in ''\'''\''' ''\''---disable-inotify'\'''
+ echo oo
+ echo foo
+ timeout 10 tail -f -s.1 --max-unchanged-stats=1 -c3
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ cat
+ echo bar
+ returns_ 1 timeout 10 tail -f -s.1 --max-unchanged-stats=1 -c3 - missing
tail: cannot open 'missing' for reading: No such file or directory
tail: no files remaining
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ for disposition in ''\'''\''' ''\''-'\'''
+ trap '' PIPE
+ returns_ 124 timeout 10 tail -n2 -f -s.1 --max-unchanged-stats=1 out
+ sed 2q
+ touch timed_out
+ test -e timed_out
+ fail=1
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ rm -f timed_out
+ for disposition in ''\'''\''' ''\''-'\'''
+ trap - PIPE
+ returns_ 124 timeout 10 tail -n2 -f -s.1 --max-unchanged-stats=1 out
+ sed 2q
+ touch timed_out
+ test -e timed_out
+ fail=1
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ rm -f timed_out
+ env test -w /dev/stdout
+ env test '!' -w /dev/stdout
+ for mode in ''\'''\''' ''\''---disable-inotify'\'''
+ echo oo
+ echo foo
+ timeout 10 tail -f ---disable-inotify -s.1 --max-unchanged-stats=1 -c3
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ cat
+ echo bar
+ returns_ 1 timeout 10 tail -f ---disable-inotify -s.1 --max-unchanged-stats=1 -c3 - missing
tail: cannot open 'missing' for reading: No such file or directory
tail: no files remaining
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ for disposition in ''\'''\''' ''\''-'\'''
+ trap '' PIPE
+ returns_ 124 timeout 10 tail -n2 -f ---disable-inotify -s.1 --max-unchanged-stats=1 out
+ sed 2q
+ touch timed_out
+ test -e timed_out
+ fail=1
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ rm -f timed_out
+ for disposition in ''\'''\''' ''\''-'\'''
+ trap - PIPE
+ returns_ 124 timeout 10 tail -n2 -f ---disable-inotify -s.1 --max-unchanged-stats=1 out
+ sed 2q
+ touch timed_out
+ test -e timed_out
+ fail=1
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ rm -f timed_out
+ env test -w /dev/stdout
+ env test '!' -w /dev/stdout
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+ chmod -R u+rwx /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC
+ rm -rf /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-pipe-f.sh.BLvC
+ exit 1
FAIL tests/tail-2/pipe-f.sh (exit status: 1)
Last lines of tail-error.log:
make-check failed, tail of make-check.log:

+ printf '%s\n' 't36.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

env RUN_VERY_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

make check-very-expensive
'
+ sed 1q
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d
+ chmod -R u+rwx /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-t36.sh.OVuH
+ rm -rf /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d/gt-t36.sh.OVuH
+ exit 77
SKIP tests/factor/t36.sh (exit status: 77)

============================================================================
Testsuite summary for GNU coreutils 8.30.87-66e2d
============================================================================
# TOTAL: 616
# PASS:  450
# SKIP:  163
# XFAIL: 0
# FAIL:  3
# XPASS: 0
# ERROR: 0
============================================================================
See ./tests/test-suite.log
Please report to bug-coreutils@gnu.org
============================================================================
make[4]: *** [tests/test-suite.log] Error 1
make[4]: Leaving directory `/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d'
make[3]: *** [check-TESTS] Error 2
make[3]: Leaving directory `/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5/coreutils-8.30.87-66e2d'
make: *** [check] Error 2

Build information

PATH /usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:usr/sfw/bin:/usr/bin:/bin
SHELL /opt/csw/bin/bash
PWD /home/agn/pretest.2019-03-07.E4aGvR/unstable11s/coreutils-8.30.87-66e2d.Bq6Eh5
hostname unstable11s
SOURCE http://agnx.s3.amazonaws.com/tmp/coreutils-8.30.87-66e2d.tar.xz
BASENAME coreutils-8.30.87-66e2d
configure_extra_params
make_extra_params
make_check_extra_params SUBDIRS=.
env_extra_params
git_branch

Build host information

autoconf-version autoconf (GNU Autoconf) 2.69
automake-version automake (GNU automake) 1.15.1
autopoint-version /usr/bin/autopoint (GNU gettext-tools) 0.16.1
autoreconf-version autoreconf (GNU Autoconf) 2.69
make-version GNU Make 3.82
makeinfo-version texi2any (GNU texinfo) 6.1
git-version git version 2.4.0
wget-version GNU Wget 1.19.4 built on solaris2.10.
rsync-version rsync version 3.1.2 protocol version 31
gcc-version gcc (GCC) 5.5.0
cc-version no-version
uname-s SunOS
uname-r 5.11
uname-m sun4u
uname-p sparc
uname-i SUNW,SPARC-Enterprise
uname-o Solaris
uname-v 11.3
lsb_release-v
lsb_release-i
lsb_release-d
lsb_release-r
lsb_release-c
etc_release Oracle Solaris 11.3 SPARC
etc_issue

Download Log Files

logs/input.txt 212 Bytes curl -JLO 'http://pretest.housegordon.org/g/6175/logs/input.txt'
logs/make.log 19.1 kB curl -JLO 'http://pretest.housegordon.org/g/6175/logs/make.log'
logs/make.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6175/logs/make.ok'
logs/environment.txt 214 Bytes curl -JLO 'http://pretest.housegordon.org/g/6175/logs/environment.txt'
logs/tail-error.log 2.2 kB curl -JLO 'http://pretest.housegordon.org/g/6175/logs/tail-error.log'
logs/config.log 3.4 MB curl -JLO 'http://pretest.housegordon.org/g/6175/logs/config.log'
logs/status 18 Bytes curl -JLO 'http://pretest.housegordon.org/g/6175/logs/status'
logs/test-suite.0.log 856.9 kB curl -JLO 'http://pretest.housegordon.org/g/6175/logs/test-suite.0.log'
logs/configure.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6175/logs/configure.ok'
logs/versions.txt 724 Bytes curl -JLO 'http://pretest.housegordon.org/g/6175/logs/versions.txt'
logs/config.status 104.4 kB curl -JLO 'http://pretest.housegordon.org/g/6175/logs/config.status'
logs/configure.log 45.5 kB curl -JLO 'http://pretest.housegordon.org/g/6175/logs/configure.log'
logs/make-check.log 888.5 kB curl -JLO 'http://pretest.housegordon.org/g/6175/logs/make-check.log'
logs/tests-suite-summary.log 17.6 kB curl -JLO 'http://pretest.housegordon.org/g/6175/logs/tests-suite-summary.log'
logs/timestamp.start.txt 76 Bytes curl -JLO 'http://pretest.housegordon.org/g/6175/logs/timestamp.start.txt'